## cosanta 0.18.2.3

=== CMakeLists.txt ===
# This CMakeLists.txt is not meant to actually work!
# It only serves as a dummy project to make CLion work properly when it comes to symbol resolution and all the nice
# features dependent on that. Building must still be done on the command line using the automake build chain
# If you load this project in CLion and would like to run/debug executables, make sure to remove the "Build" entry from
# the run/debug configuration as otherwise CLion will try to build this project with cmake, failing horribly.
# You'll also have to manually change the executable in the configuration to the correct path of the already built executable

cmake_minimum_required(VERSION 3.7)
project(cosanta)

set(CMAKE_CXX_STANDARD 14)

include_directories(
        src
        src/qt/forms
        src/leveldb/include
        src/univalue/include
)

if(UNIX AND NOT APPLE)
    set(DEPENDS_PREFIX depends/x86_64-pc-linux-gnu)
elseif(APPLE)
    set(DEPENDS_PREFIX depends/x86_64-apple-darwin19)
elseif(WIN32)
    set(DEPENDS_PREFIX depends/x86_64-w64-mingw32)
endif()

message(STATUS "DEPENDS_PREFIX: ${DEPENDS_PREFIX}")

if(DEFINED DEPENDS_PREFIX)
    include_directories(${DEPENDS_PREFIX}/include)
    include_directories(${DEPENDS_PREFIX}/include/QtWidgets)
endif()

add_definitions(
        -DENABLE_CRASH_HOOKS=1
        -DENABLE_STACKTRACES=1
        -DENABLE_WALLET=1
)

file(GLOB SOURCE_FILES
        src/*.cpp
        src/*.h
        src/bench/*.cpp
        src/bench/*.h
        src/bls/*.cpp
        src/bls/*.h
        src/coinjoin/*.cpp
        src/coinjoin/*.h
        src/compat/*.cpp
        src/compat/*.h
        src/consensus/*.cpp
        src/consensus/*.h
        src/crypto/*.c
        src/crypto/*.cpp
        src/crypto/*.h
        src/evo/*.cpp
        src/evo/*.h
        src/leveldb/db/*.cc
        src/leveldb/db/*.h
        src/leveldb/include/*.h
        src/llmq/*.cpp
        src/llmq/*.h
        src/masternode/*.cpp
        src/masternode/*.h
        src/policy/*.cpp
        src/policy/*.h
        src/primitives/*.cpp
        src/primitives/*.h
        src/qt/*.cpp
        src/qt/*.h
        src/qt/test/*.cpp
        src/qt/test/*.h
        src/rpc/*.cpp
        src/rpc/*.h
        src/script/*.cpp
        src/script/*.h
        src/secp256k1/include/*.h
        src/test/*.cpp
        src/test/*.h
        src/univalue/include/*.h
        src/univalue/lib/*.cpp
        src/univalue/lib/*.h
        src/wallet/*.cpp
        src/wallet/*.h
        src/wallet/test/*.cpp
        src/zmq/*.cpp
        src/zmq/*.h
        )

add_executable(cosanta ${SOURCE_FILES})

=== debian/changelog ===
cosanta (0.18.2.3-1) stable; urgency=medium

  * fix: speed up GetStateFor
  * fix(rpc): Added missing quorum listextended in quorum help
  * fix(consensus)!: Rotation member computation fix
  * fix: params cleanup in pow_tests/get_next_work
  * fix(coinjoin): fix version comparison check serialization bug
  * fix(rpc): masternode outputs should work correctly with multiple outputs created via a single tx
  * fix: Restore caching in CalcCbTxMerkleRootMNList
  * fix: resolve some memory leaks
  * fix: GetQuorumRelayMembers
  * fix: missing address in decoderawtransaction for old explorers
  * fix: Spork activation in TESTNET

 -- Mistific@tor <0mistificator0@gmail.com>  Sun, 28 Jul 2024 16:41:56 +0000

cosanta (0.18.1.0-1) stable; urgency=medium

  * fix paymentserver URL
  * Gradual increase of rewards for masternodes from 0.1 to 60%
  * Tune periods
  * Rewards for masternodes will be activated at block 525252

 -- Mistific@tor <0mistificator0@gmail.com>  Wed, 31 Jan 2024 07:24:18 +0000

cosanta (0.18.0.2-1) stable; urgency=medium

  * [fix] orphans
  * prepare BIP9 bit 5 for activations PoS v2.5
  * more informative staking output info on mouse over

 -- Mistific@tor <0mistificator0@gmail.com>  Tue, 23 Jan 2024 18:24:01 +0000

cosanta (0.18.0.1-1) unstable; urgency=medium

  * [fix] orphans

 -- Mistific@tor <0mistificator0@gmail.com>  Thu, 21 Dec 2023 18:38:51 +0000

cosanta (0.18.0.0-2) unstable; urgency=medium

  * We are happy to announce the Cosanta release of 18.0.0. This release includes binaries that you can download above.

 -- Mistific@tor <0mistificator0@gmail.com>  Sun, 10 Dec 2023 07:44:59 +0000

cosanta (0.17.0.8-1) unstable; urgency=medium

  * Adjust staking and enable autocombine by default

 -- Mistific@tor <0mistificator0@gmail.com>  Sat, 01 Apr 2023 16:04:34 +0000

cosanta (0.17.0.7-1) unstable; urgency=medium

  * Fix tinyformat error
  * Realloc changes
  * Fixed issue with start Cosanta-QT as mininmized without -min on options
  * Disconnect from outdated peers

 -- Mistific@tor <0mistificator0@gmail.com>  Thu, 09 Mar 2023 20:49:28 +0000

cosanta (0.17.0.6-1) unstable; urgency=medium

  * [NEW] Unlock only for staking
  * [FIX] some issues with PoS
  * [NEW] RPC command getstakingstatus
  * [testnet] reallocate MN rewards from 4010 to 333333
  * [FIX] Masternode collateral amount

 -- Mistific@tor <0mistificator0@gmail.com>  Mon, 05 Sep 2022 16:53:03 +0000

cosanta (0.17.0.5-1) unstable; urgency=medium

  * reschedule deployment Block Reward Reallocation
  * reduce logs and move it to debug stakig section
  * qt: fix confirmed transaction labeled "open"
  * rpc: Fix wallet unload during walletpassphrase timeout
  * Fix listreceivedbyaddress not taking address as a string
  * fix Fatal LevelDB error when specifying -blockfilterindex twice
  * net: Drop support of the insecure miniUPnPc versions
  * Remove rpc solo miner

 -- Mistific@tor <0mistificator0@gmail.com>  Tue, 19 Jul 2022 19:46:31 +0000

cosanta (0.17.0.4-1) unstable; urgency=medium

  * This is test pre release where were fixed some bugs

 -- Mistific@tor <0mistificator0@gmail.com>  Sun, 08 May 2022 14:55:50 +0000

cosanta (0.17.0.3-1) stable; urgency=medium

  * Fix sync blocks for mainnet
  * Fix bugs in RPCs

 -- Mistific@tor <0mistificator0@gmail.com>  Wed, 23 Mar 2022 18:20:28 +0000

cosanta (0.17.0.2-1) unstable; urgency=medium

  * Updated to dash-core 0.17.0.x
  * Fixed dark theme
  * BLS signature library has been updated based on v1.0
  * Several opcodes have been reactivated/introduced to broaden the functionality of the system and enable developers to build new solutions.
  * PrivateSend has been renamed to CoinJoin to better reflect the functionality it provides and align with industry standard terminology.
  * The previously deprecated RPCs were removed and several RPCs have been deprecated.

 -- Mistific@tor <0mistificator0@gmail.com>  Sat, 19 Mar 2022 18:39:10 +0000

cosanta (0.16.0.3-1) unstable; urgency=medium

  * FIXED: syncing of PoS blocks
  * Fix block update signals/slots in BitcoinGUI and SendCoinsDialog
  * NEW: parallel initial block download (speedup block downloading)
  * Fix shutdown in case of errors during initialisation
  * Fix issues introduced with asynchronous signal handling

 -- Mistific@tor <0mistificator0@gmail.com>  Tue, 15 Feb 2022 18:53:37 +0000

cosanta (0.16.0.2-1) unstable; urgency=medium

  * NEW: parallel initial block download (speedup block downloading)
  * Fix shutdown in case of errors during initialisation
  * Fix issues introduced with asynchronous signal handling

 -- Mistific@tor <0mistificator0@gmail.com>  Tue, 15 Feb 2022 10:55:16 +0000

cosanta (0.16.0.1-1) unstable; urgency=medium

  * Add upload and download info to the peerlist
  * Add use available balance in send coins dialog
  * Add last block hash to debug ui
  * Enable searching by transaction id
  * Fix potential memory leak when loading a corrupted wallet file
  * Fix estimatesmartfee rounding display issue
  * Update secp256k1 subtree to latest upstream
  * Update Cosanta to Dash 0.16.x.x codebase

 -- Mistific@tor <0mistificator0@gmail.com>  Sat, 12 Feb 2022 16:13:17 +0000

cosanta (0.15.0.13-1) unstable; urgency=medium

  * New feature for auto-combine and split inputs

 -- Mistific@tor <0mistificator0@gmail.com>  Fri, 21 Jan 2022 15:14:29 +0000

cosanta (0.15.0.12-2) unstable; urgency=medium

  * Fix PoS and hardfork enable on 100,000 block for main net and 78,200 for testnet
  * Important: After update, please resync all blocks (please remove all files, except wallet.dat and your config file). Please do backup before all changes!

 -- Mistific@tor <0mistificator0@gmail.com>  Sun, 16 Jan 2022 00:12:34 +0000

cosanta (0.15.0.11-1) unstable; urgency=medium

  * Fix PoS and hardfork enable on 100,000 block for main net and 78,200 for testnet

 -- Mistific@tor <0mistificator0@gmail.com>  Mon, 10 Jan 2022 20:13:24 +0000

cosanta (0.15.0.10-1) unstable; urgency=medium



=== debian/control ===
Source: cosanta
Section: utils
Priority: optional
Maintainer: Mistific@tor
Uploaders: Mistific@tor
Build-Depends: debhelper,
 devscripts,
 automake,
 libtool,
 bash-completion,
 pkg-config,
 python3,
 git,
 dh-autoreconf,
 build-essential,
 libcosanta-depends-dev
Standards-Version: 3.9.2
Homepage: https://www.cosanta.net/
Vcs-Git: git://github.com/cosanta/cosanta.git
Vcs-Browser: https://github.com/cosanta/cosanta

Package: cosantad
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: peer-to-peer network based digital currency - daemon
 cosanta is an experimental new digital currency that enables instant, private
 payments to anyone, anywhere in the world. cosanta uses peer-to-peer
 technology to operate with no central authority: managing transactions
 and issuing money are carried out collectively by the network. cosanta Core
 is the name of the open source software which enables the use of this currency.
 .
 This package provides the daemon, cosantad, and the CLI tool
 cosanta-cli to interact with the daemon.

Package: cosanta-qt
Architecture: any
Depends: ${misc:Depends}
Description: peer-to-peer network based digital currency - Qt GUI
 cosanta is an experimental new digital currency that enables instant, private
 payments to anyone, anywhere in the world. cosanta uses peer-to-peer
 technology to operate with no central authority: managing transactions
 and issuing money are carried out collectively by the network. cosanta Core
 is the name of the open source software which enables the use of this currency.
 .
 This package provides cosanta-Qt, a GUI for cosanta based on Qt.

Package: cosanta-tx
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: peer-to-peer digital currency - standalone transaction tool
 cosanta is an experimental new digital currency that enables instant, private
 payments to anyone, anywhere in the world. cosanta uses peer-to-peer
 technology to operate with no central authority: managing transactions
 and issuing money are carried out collectively by the network. cosanta Core
 is the name of the open source software which enables the use of this currency.
 .
 This package provides cosanta-tx, a command-line transaction creation
 tool which can be used without a cosanta daemon.  Some means of
 exchanging minimal transaction data with peers is still required.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

export DH_VERBOSE=1
export DH_OPTIONS=-v

DEB_HOST_GNU_TYPE_DIR   ?= $(shell ./depends/config.guess)

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
    NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
    BMAKEFLAGS += -j$(NUMJOBS)
endif

%:
	dh $@ --parallel --with autoreconf,bash-completion

override_dh_auto_clean:
	if [ -f Makefile ]; then $(MAKE) distclean; fi
	rm -rf Makefile.in aclocal.m4 configure src/Makefile.in src/cosanta-config.h.in src/build-aux src/qt/Makefile.in src/qt/test/Makefile.in src/test/Makefile.in

override_dh_auto_configure:
	./autogen.sh
	./configure LDFLAGS="-static-libstdc++ -static-libgcc"

override_dh_auto_build:
	$(MAKE) $(BMAKEFLAGS)

override_dh_auto_test:
